grsecurity

Heute werden wir lernen, wie man Debian grsecurity installieren.

Vor einiger Zeit Dabo Ich rede über grsecurity Kernel, in denen viele Sicherheitsmaßnahmen implementiert sind.

Was ist grsecurity?

Grsecurity® ist eine umfassende Sicherheitserweiterung für den Linux-Kernel, verteidigt gegen ein breites Spektrum von Sicherheitsbedrohungen durch intelligente Zugangskontrolle, verhindert, dass Überlauf im Speicher und eine Anzahl von anderen Problemen zu machen erfordert das System robusten im allgemeinen keine Konfiguration. Es hat sich aktiv in der Vergangenheit entwickelt und gepflegt 15 Jahre alt.

Wie installiere ich

Debian in seinem instabilen wie grsecurity in ihren Repositories wird in der nächsten stabilen Version erwartet schon kommen, Debian abgeleitete Distributionen wie Ubuntu oder Linux Mint begrüßen später.

Ich in folgendem Handbuch werde ich Ihnen zeigen, wie Debian installieren.

Erinnern Sie, bevor Sie die Farben beginnen bedeuten in Anwendungen und Systemen

geschriebene Texte in der Kommandozeile: blau
Ausgabe in der Befehlszeile: Verde
Dateinamen und Dateiinhalt: braun

Zuerst habe ich debian jessie aus dem Bild netinstall installieren

Sobald die Datei installiert wird geändert /etc / apt / sources.list und ich lasse es wie unten:

deb http://ftp.es.debian.org/debian/ sid main
deb-src http://ftp.es.debian.org/debian/ sid main

Der Rest der Linien und lassen Sie sie jessie von sid um kommentiert ändern, um die Verteilung zu aktualisieren.

Aktualisieren Sie die Verteilung der folgenden Befehle als root:

apt-get update
apt-get dist-upgrade
apt-get autoremove
reboot

installieren Grsecurity, Kernel-Version kann variieren, um herauszufinden, was dein Ich betreibe

apt-cache search grsecurity
.......
linux-image-4.4.0-1-grsec-amd64 - Linux 4.4 für 64-Bit-PCs, grsecurity Schutz
.......

Mit dieser und der ist die Version, die ich in meinem Fall brauche 4.4.0-1

grsecurity installiert, ersetzt die Version für Ihre.

apt-get Linux-grsec-base Linux-grsec-source-4.4 Linux-grsec-support-4.4.0-1 linux-headers-4.4.0-1-common-grsec linux-headers-4.4.0-1- installieren grsec-amd64 linux-image-4.4.0-1-grsec-amd64

Starten Sie und dann, um zu überprüfen, dass diese Operation grsecurity laufen:

uname -a
Linux aplicacionesysistemas 4.4.0-1-grsec-amd64 #1 Debian Junior 4.4.6-1 + grsec201603171922 + 1 (2016-03-19 x86_64 GNU / Linux

Ich hoffe, Sie finden es nützlich, und vielen Dank für unseren Blog lesen.


Über Ignacio Alba Obaya

Microcomputer und technische Ausbildung für Beschäftigung. Liebhaber von neuen Technologien. -Manager GNU / Linux und Windows.

Lassen Sie eine Antwort